totem_interface Struct Reference

`#include <totem.h>`

Collaboration diagram for totem_interface:
[legend]

## Data Fields

struct totem_ip_address | bindnet
struct totem_ip_address | boundto
struct totem_ip_address | mcast_addr
struct totem_ip_address | local_ip
uint16_t | ip_port
uint16_t | ttl
uint8_t | configured
int | member_count
int | knet_link_priority
int | knet_ping_interval
int | knet_ping_timeout
int | knet_ping_precision
int | knet_pong_count
int | knet_transport
struct totem_ip_address | member_list [PROCESSOR_COUNT_MAX]

## Detailed Description

Definition at line 82 of file totem.h.

## Field Documentation

## bindnet

struct totem_ip_address totem_interface::bindnet

Definition at line 1 of file totem.h.

Referenced by totem_config_validate(), totemudp_net_mtu_adjust(), and totemudpu_net_mtu_adjust().

## boundto

struct totem_ip_address totem_interface::boundto

Definition at line 1 of file totem.h.

Referenced by totemsrp_my_family_get().

## configured

uint8_t totem_interface::configured

Definition at line 89 of file totem.h.

Referenced by main_iface_change_fn(), totem_config_validate(), totem_volatile_config_validate(), totemknet_nodestatus_get(), and totemsrp_ifaces_get().

## ip_port

uint16_t totem_interface::ip_port

Definition at line 87 of file totem.h.

Referenced by totem_config_validate().

## knet_link_priority

int totem_interface::knet_link_priority

Definition at line 91 of file totem.h.

Referenced by totem_config_validate(), and totemknet_member_add().

## knet_ping_interval

int totem_interface::knet_ping_interval

Definition at line 92 of file totem.h.

Referenced by totemknet_member_add().

## knet_ping_precision

int totem_interface::knet_ping_precision

Definition at line 94 of file totem.h.

Referenced by totemknet_member_add().

## knet_ping_timeout

int totem_interface::knet_ping_timeout

Definition at line 93 of file totem.h.

Referenced by totemknet_member_add().

## knet_pong_count

int totem_interface::knet_pong_count

Definition at line 95 of file totem.h.

Referenced by totemknet_member_add().

## knet_transport

int totem_interface::knet_transport

Definition at line 96 of file totem.h.

Referenced by totemknet_member_add().

## local_ip

struct totem_ip_address totem_interface::local_ip

Definition at line 1 of file totem.h.

## mcast_addr

struct totem_ip_address totem_interface::mcast_addr

Definition at line 1 of file totem.h.

Referenced by totem_config_validate().

## member_count

int totem_interface::member_count

Definition at line 90 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_ifaces_get().

## member_list

struct totem_ip_address totem_interface::member_list[PROCESSOR_COUNT_MAX]

Definition at line 96 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_ifaces_get().

## ttl

uint16_t totem_interface::ttl

Definition at line 88 of file totem.h.

Referenced by totem_config_validate().

The documentation for this struct was generated from the following file:

- totem.h